%global dlrn_nvr oslo.serialization-4.1.1-1.20220727132453.bbe5d5a
%global dlrn 1
%define upstream_version 4.1.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x01527a34f0d0080f8a5db8d6eb6c5df21b4b6363

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global pypi_name oslo.serialization
%global pkg_name oslo-serialization
%global with_doc 0

%global common_desc \
An OpenStack library for representing objects in transmittable and \
storable formats.

Name:           python-%{pkg_name}
Version: 4.1.1
Release: 1.20220727132453.bbe5d5a%{?dist}
Summary:        OpenStack oslo.serialization library

License:        ASL 2.0
URL:            https://launchpad.net/oslo
Source0: oslo.serialization-4.1.1-1.20220727132453.bbe5d5a.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=bbe5d5a4f072b3bf986511fa6dd0a9bf2b21e00c

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif
BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

%description
%{common_desc}

%package -n python3-%{pkg_name}
Summary:        OpenStack oslo.serialization library
%{?python_provide:%python_provide python3-%{pkg_name}}

BuildRequires:  git-core
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
# test requirements
BuildRequires:  python3-mock
BuildRequires:  python3-oslotest
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-stestr
BuildRequires:  python3-oslo-utils
BuildRequires:  python3-msgpack >= 0.5.2
BuildRequires:  python3-netaddr
BuildRequires:  python3-simplejson

Requires:       python3-oslo-utils >= 3.33.0
Requires:       python3-msgpack >= 0.5.2
Requires:       python3-pytz
Requires:       python3-pbr >= 2.0.0

%description -n python3-%{pkg_name}
%{common_desc}


%package -n python3-%{pkg_name}-tests
Summary:   Tests for OpenStack Oslo serialization library
%{?python_provide:%python_provide python2-%{pkg_name}}

Requires:  python3-%{pkg_name} = %{version}-%{release}
Requires:  python3-mock
Requires:  python3-oslotest
Requires:  python3-oslo-i18n
Requires:  python3-stestr
Requires:  python3-netaddr
Requires:  python3-simplejson

%description -n python3-%{pkg_name}-tests
Tests for OpenStack Oslo serialization library

%if 0%{?with_doc}
%package -n python-%{pkg_name}-doc
Summary:    Documentation for the Oslo serialization library

BuildRequires:  python3-sphinx
BuildRequires:  python3-openstackdocstheme

Requires:  python3-%{pkg_name} = %{version}-%{release}

%description -n python-%{pkg_name}-doc
Documentation for the Oslo serialization library.
%endif

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{pypi_name}-%{upstream_version} -S git
# Let RPM handle the dependencies
rm -f requirements.txt

%build
%{py3_build}

%if 0%{?with_doc}
# doc
sphinx-build-3 -W -b html doc/source doc/build/html
# Fix hidden-file-or-dir warnings
rm -fr doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}

%check
export OS_TEST_PATH="./oslo_serialization/tests"
PYTHON=python3 stestr-3 --test-path $OS_TEST_PATH run

%files -n python3-%{pkg_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/oslo_serialization
%{python3_sitelib}/*.egg-info
%exclude %{python3_sitelib}/oslo_serialization/tests

%if 0%{?with_doc}
%files -n python-%{pkg_name}-doc
%doc doc/build/html
%license LICENSE
%endif

%files -n python3-%{pkg_name}-tests
%{python3_sitelib}/oslo_serialization/tests

%changelog
* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 4.1.1-1.20220727132453.bbe5d5a
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 4.1.1-1.20220714112804.bbe5d5a
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 4.1.1-1.20220713074323.bbe5d5a
- Update patches

* Sun Feb 27 2022 OSP Prod Chain <dev-null@redhat.com> 4.1.1-0.20220227084931.bbe5d5a
- Update patches

* Fri Feb 25 2022 OSP Prod Chain <dev-null@redhat.com> 4.1.1-0.20220225084831.bbe5d5a
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Move flake8 as a pre-commit local target.

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 4.1.0-0.20210527194821.8445e61
- Update patches

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 4.1.0-0.20210523171809.8445e61
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 4.1.0-1
- Update patches

* Sat Mar 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Feb 10 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix json to_primitive when using IO OBjects
- Dropping lower constraints testing
- Use py3 as the default runtime for tox
- Fix hacking min version to 3.0.1
- Add Python3 wallaby unit tests
- Update master for stable/victoria
- ignore reno generated artifacts
- Adding pre-commit

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Sep 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump bandit version
- Update openstackdocstheme.
- Align contributing doc with oslo's policy

* Thu Jun 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the yamlutils module.
- Fix pygments style

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop to use the __future__ module.
- Switch to newer openstackdocstheme and reno versions
- Remove the unused coding style modules
- Remove translation sections from setup.cfg
- Bump default tox env from py37 to py38
- Add py38 package metadata
- Add release notes links to doc index
- Add Python3 victoria unit tests
- Update master for stable/ussuri

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update hacking for Python3
- Use unittest.mock instead of third party mock
- Remove Python 3-specific conditional in dump_as_bytes
- Drop use of six
- Add releasenote to deprecate the yamlutils module

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove long-dead workaround
- Deprecated the yamlutils module.
- Update the minversion parameter.
- remove outdated header
- reword releasenote for py27 support dropping

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Remove long-dead workaround
- Deprecated the yamlutils module.
- Update the minversion parameter.
- remove outdated header
- reword releasenote for py27 support dropping
- Remove long-dead workaround
- Deprecated the yamlutils module.
- Update the minversion parameter.
- remove outdated header
- reword releasenote for py27 support dropping

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove long-dead workaround
- Deprecated the yamlutils module.
- Update the minversion parameter.
- remove outdated header
- reword releasenote for py27 support dropping

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Drop python 2.7 support and testing
- tox: Trivial cleanup
- Switch to Ussuri jobs
- tox: Keeping going with docs
- Update master for stable/train

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


